<html>
<head>
<title>Ogre::SmallVectorBase::U Union Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SmallVectorBase.html">SmallVectorBase</a>      </li>
      <li class="navelem"><a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html">U</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SmallVectorBase::U Union Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SmallVectorBase::U" -->
<p><code>#include &lt;<a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>&gt;</code></p>

<p><a href="unionOgre_1_1SmallVectorBase_1_1U-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#aa2b6067eb30ca4f879b8b87d4ac5d42d">D</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">long double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#a58b247e0c6c0be125f25c9572ed777c3">LD</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#a8bdd9e0c7be3fad7165ea59ae59b22e6">L</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#a77e0273203f2e0fac15c9f37c0afc8b6">P</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00125">125</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa2b6067eb30ca4f879b8b87d4ac5d42d"></a><!-- doxytag: member="Ogre::SmallVectorBase::U::D" ref="aa2b6067eb30ca4f879b8b87d4ac5d42d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#aa2b6067eb30ca4f879b8b87d4ac5d42d">Ogre::SmallVectorBase::U::D</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00126">126</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8bdd9e0c7be3fad7165ea59ae59b22e6"></a><!-- doxytag: member="Ogre::SmallVectorBase::U::L" ref="a8bdd9e0c7be3fad7165ea59ae59b22e6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#a8bdd9e0c7be3fad7165ea59ae59b22e6">Ogre::SmallVectorBase::U::L</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00128">128</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a58b247e0c6c0be125f25c9572ed777c3"></a><!-- doxytag: member="Ogre::SmallVectorBase::U::LD" ref="a58b247e0c6c0be125f25c9572ed777c3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long double <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#a58b247e0c6c0be125f25c9572ed777c3">Ogre::SmallVectorBase::U::LD</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00127">127</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<a class="anchor" id="a77e0273203f2e0fac15c9f37c0afc8b6"></a><!-- doxytag: member="Ogre::SmallVectorBase::U::P" ref="a77e0273203f2e0fac15c9f37c0afc8b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="unionOgre_1_1SmallVectorBase_1_1U.html#a77e0273203f2e0fac15c9f37c0afc8b6">Ogre::SmallVectorBase::U::P</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreSmallVector_8h_source.html#l00129">129</a> of file <a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a>.</p>

</div>
</div>
<hr/>The documentation for this union was generated from the following file:<ul>
<li><a class="el" href="OgreSmallVector_8h_source.html">OgreSmallVector.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
